<?php $__env->startSection('content'); ?>
    <div class="page-header">
        <h4 class="page-title">vCard Management</h4>
        <ul class="breadcrumbs">
            <li class="nav-home">
                <a href="<?php echo e(route('admin.dashboard')); ?>">
                    <i class="flaticon-home"></i>
                </a>
            </li>
            <li class="separator">
                <i class="flaticon-right-arrow"></i>
            </li>
            <li class="nav-item">
                <a href="#">vCard Management</a>
            </li>
            <li class="separator">
                <i class="flaticon-right-arrow"></i>
            </li>
            <li class="nav-item">
                <a href="#">vCards</a>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">

            <div class="card">
                <div class="card-header">
                    <div class="card-title d-inline-block">vCards
                        <?php if(count($vcards) >= $vcard_limit): ?>
                            <div class="alert alert-warning text-danger ">
                                You've reached the maximum limit of vcard than your current package, you can't add or edit
                                vcard right now, to enable edit and create action you must extend your package.
                            </div>
                        <?php endif; ?>
                    </div>
                    <button class="btn btn-danger float-right btn-sm mr-2 d-none bulk-delete"
                        data-href="<?php echo e(route('user.vcard.bulk.delete')); ?>"><i class="flaticon-interface-5"></i>
                        Delete</button>
                    <?php if(count($vcards) < $vcard_limit): ?>
                        <a href="<?php echo e(route('user.vcard.create')); ?>" class="btn btn-sm btn-primary float-right">Add
                            vCard</a>
                    <?php endif; ?>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <?php if(count($vcards) == 0): ?>
                                <h3 class="text-center">NO VCARD FOUND</h3>
                            <?php else: ?>
                                <div class="table-responsive">
                                    <table class="table table-striped mt-3" id="basic-datatables">
                                        <thead>
                                            <tr>
                                                <th scope="col">
                                                    <input type="checkbox" class="bulk-check" data-val="all">
                                                </th>
                                                <th scope="col">vCard Name</th>
                                                <th scope="col">Preview</th>
                                                <th scope="col">Direction</th>
                                                <th scope="col">Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $vcards; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $vcard): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" class="bulk-check"
                                                            data-val="<?php echo e($vcard->id); ?>">
                                                    </td>
                                                    <td>
                                                        <?php echo e(strlen($vcard->vcard_name) > 20 ? mb_substr($vcard->vcard_name, 0, 20, 'UTF-8') . '...' : $vcard->vcard_name); ?>

                                                    </td>
                                                    <td>
                                                        <button class="btn btn-primary btn-sm" data-toggle="modal"
                                                            data-target="#urlsModal<?php echo e($vcard->id); ?>"><i
                                                                class="fas fa-link"></i> URLs</button>
                                                    </td>
                                                    <td><?php echo e($vcard->direction == 1 ? 'Left to Right' : 'Right to Left'); ?>

                                                    </td>
                                                    <td>
                                                        <?php if(count($vcards) <= $vcard_limit): ?>
                                                            <div class="dropdown show d-inline-block mr-2">
                                                                <a class="btn btn-secondary btn-sm dropdown-toggle" href="#"
                                                                    role="button" id="dropdownMenuLink"
                                                                    data-toggle="dropdown" aria-haspopup="true"
                                                                    aria-expanded="false">
                                                                    Manage
                                                                </a>
                                                                <div class="dropdown-menu"
                                                                    aria-labelledby="dropdownMenuLink">
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.edit', $vcard->id)); ?>">Infromation</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.color', $vcard->id)); ?>">Colors</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.preferences', $vcard->id)); ?>">Preferences</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.services', $vcard->id)); ?>">Services</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.projects', $vcard->id)); ?>">Projects</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.testimonials', $vcard->id)); ?>">Testimonials</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.about', $vcard->id)); ?>">About
                                                                        & Video</a>
                                                                    <a target="_blank" class="dropdown-item"
                                                                        href="<?php echo e(route('user.vcard.keywords', $vcard->id)); ?>">Translate
                                                                        Keywords</a>
                                                                </div>
                                                            </div>
                                                        <?php endif; ?>
                                                        <form class="deleteform d-inline-block"
                                                            action="<?php echo e(route('user.vcard.delete')); ?>" method="post">
                                                            <?php echo csrf_field(); ?>
                                                            <input type="hidden" name="vcard_id"
                                                                value="<?php echo e($vcard->id); ?>">
                                                            <button type="submit" class="btn btn-danger btn-sm deletebtn"
                                                                data-toggle="tooltip" data-placement="top" title="Delete">
                                                                <i class="fas fa-trash"></i>
                                                            </button>
                                                        </form>
                                                    </td>
                                                </tr>

                                                <!-- Modal -->
                                                <div class="modal fade" id="urlsModal<?php echo e($vcard->id); ?>" tabindex="-1"
                                                    role="dialog" aria-labelledby="urlsModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="urlsModalLabel">vCard URLs
                                                                </h5>
                                                                <button type="button" class="close"
                                                                    data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <ul>
                                                                    <li>
                                                                        <?php
                                                                            $pathUrl = env('WEBSITE_HOST') . '/' . Auth::user()->username . '/vcard/' . $vcard->id;
                                                                        ?>
                                                                        <strong class="mr-2">Path Based
                                                                            URL:</strong>
                                                                        <a target="_blank"
                                                                            href="//<?php echo e($pathUrl); ?>"><?php echo e($pathUrl); ?></a>
                                                                    </li>
                                                                    <?php if(cPackageHasSubdomain(Auth::user())): ?>
                                                                        <li>
                                                                            <?php
                                                                                $subUrl = Auth::user()->username . '.' . env('WEBSITE_HOST') . '/vcard/' . $vcard->id;
                                                                            ?>
                                                                            <strong class="mr-2">Subdomain Based
                                                                                URL:</strong>
                                                                            <a target="_blank"
                                                                                href="//<?php echo e($subUrl); ?>"><?php echo e($subUrl); ?></a>
                                                                        </li>
                                                                    <?php endif; ?>
                                                                    <?php if(cPackageHasCdomain(Auth::user())): ?>
                                                                        <?php
                                                                            $domUrl = Auth::user()
                                                                                ->custom_domains()
                                                                                ->where('status', 1)
                                                                                ->orderBy('id', 'DESC')
                                                                                ->first();
                                                                        ?>
                                                                        <?php if(!empty($domUrl)): ?>
                                                                            <li>
                                                                                <strong class="mr-2">Domain Based
                                                                                    URL:</strong>
                                                                                <a target="_blank"
                                                                                    href="//<?php echo e($domUrl->requested_domain); ?>/vcard/<?php echo e($vcard->id); ?>"><?php echo e($domUrl->requested_domain); ?>/vcard/<?php echo e($vcard->id); ?></a>
                                                                            </li>
                                                                        <?php endif; ?>
                                                                    <?php endif; ?>
                                                                </ul>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary"
                                                                    data-dismiss="modal">Close</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('user.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/samiulalimpratik/Sites/businesso/businesso/core/resources/views/user/vcard/index.blade.php ENDPATH**/ ?>